diff --git a/templates/pages/download/windows.html b/templates/pages/download/windows.html
index e3c071f..8f24600 100644
--- a/templates/pages/download/windows.html
+++ b/templates/pages/download/windows.html
@@ -33,46 +33,6 @@ of the binaries, without the installer.
 This download is intended for users who wish to include PostgreSQL as part of another application installer.
 </p>
 
-<h3>Platform support</h3>
-
-<p>The installers are tested by EnterpriseDB on the following platforms.
-    They can generally be expected to run on other comparable versions:</p>
-
-<div class="tblBasic">
-  <table border="0" cellpadding="0" cellspacing="0" class="tblBasicGrey">
-    <tr>
-      <th>PostgreSQL Version</th>
-      <th>64 Bit Windows Platforms</th>
-      <th>32 Bit Windows Platforms</th>
-    </tr>
-    <tr>
-      <td>9.6</td>
-      <td>2012 R2 & R1, 2008 R2, 7, 8, 10</td>
-      <td>2008 R1, 7, 8, 10</td>
-    </tr>
-    <tr>
-      <td>9.5</td>
-      <td>2012 R2 & R1, 2008 R2</td>
-      <td>2008 R1</td>
-    </tr>
-    <tr>
-      <td>9.4</td>
-      <td>2012 R2, 2008 R2</td>
-      <td>2008 R1</td>
-    </tr>
-    <tr>
-      <td>9.3</td>
-      <td>2012, 2008 R2</td>
-      <td>2008 R1</td>
-    </tr>
-    <tr>
-      <td>9.2</td>
-      <td>2008 R2 & R1</td>
-      <td>2008 R1</td>
-    </tr>
-  </table>
-</div>
-
 <h2>Graphical installer by BigSQL</h2>
 
 <p>
@@ -105,5 +65,59 @@ Advanced users can also download a
 version of the distribution, for scriptable installs or embedding with other applications.
 </p>
 
+<h2>Platform support</h2>
+
+<p>The installers are tested by the providers on the following platforms.
+    They can generally be expected to run on other comparable versions:</p>
+
+<div class="tblBasic">
+  <table border="0" cellpadding="0" cellspacing="0" class="tblBasicGrey">
+    <tr>
+      <th rowspan="2">PostgreSQL Version</th>
+      <th colspan="2" style="text-align:center">EnterpriseDB</th>
+      <th style="text-align:center">BigSQL</th>
+    </tr>
+    <tr>
+      <th>64 Bit Windows</th>
+      <th>32 Bit Windows</th>
+      <th>64 Bit Windows</th>
+    </tr>
+    <tr>
+        <td>10 (Beta)</td>
+        <td></td>
+        <td></td>
+        <td>2012 R2, 7, 10</td></tr>
+    <tr>
+      <td>9.6</td>
+      <td>2012 R2 &amp; R1, 2008 R2, 7, 8, 10</td>
+      <td>2008 R1, 7, 8, 10</td>
+      <td>2012 R2, 2008 R2, 7, 8, 10</td>
+    </tr>
+    <tr>
+      <td>9.5</td>
+      <td>2012 R2 &amp; R1, 2008 R2</td>
+      <td>2008 R1</td>
+      <td>2012 R2, 2008 R2, 7, 8, 10</td>
+    </tr>
+    <tr>
+      <td>9.4</td>
+      <td>2012 R2, 2008 R2</td>
+      <td>2008 R1</td>
+      <td>2012 R2, 2008 R2, 7, 8, 10</td>
+    </tr>
+    <tr>
+      <td>9.3</td>
+      <td>2012, 2008 R2</td>
+      <td>2008 R1</td>
+      <td>2012 R2, 2008 R2, 7, 8, 10</td>
+    </tr>
+    <tr>
+      <td>9.2</td>
+      <td>2008 R2 &amp; R1</td>
+      <td>2008 R1</td>
+      <td>2012 R2, 2008 R2, 7, 8, 10</td>
+    </tr>
+  </table>
+</div>
 
 {%endblock%}
